﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;

namespace Cercuri
{
    class cerc_linii
    {
        public int n, x, y, r;//numarul de puncte,centrul,raza
        
        public cerc_linii(int n, int x ,int y, int r)
        {//constructor
            this.r = r;
            this.x = x;
            this.y = y;
            this.n = n;
        }

        public void desenez(Graphics G)
        {
            float u = (float)360 / n;//unghiul 
            G.Clear(Color.White);//stergem de fiecare data desenul
            Pen B = new Pen(Color.Black, 1);//creion negru
            Pen R = new Pen(Color.Red);//creion rosu
                                       //G.DrawEllipse(B, x - r, y - r, 2 * r, 2 * r);//cerc negru de raza r
                                       //creez vectori de n puncte de pe cerc
            float[] X = new float[n];//coordonatele x
            float[] Y = new float[n];//coordonatele y
            for (int i = 0; i < n; i++)
            {//calculez si completez coordonatele punctelor
                X[i] = x + r * (float)Math.Cos(u * i * (float)Math.PI / 180);
                Y[i] = y - r * (float)Math.Sin(u * i * (float)Math.PI / 180);
                //G.DrawEllipse(R, X[i], Y[i], 5, 5);
            }
            for (int i = 0; i < n; i++)
                for (int j = i + 1; j < n; j++)
                    G.DrawLine(R, X[i], Y[i], X[j], Y[j]);
        }
    }
}
